#ifndef MESSAGES_H_INCLUDED
#define MESSAGES_H_INCLUDED

#include <syslog-ng.h>

extern int debug_flag;
extern int verbose_flag;
extern int msg_pipe[2];

#define msg_fatal g_error
#define msg_error g_warning
#define msg_notice g_message

#define msg_verbose(f, args...) \
	do { \
	  if (verbose_flag) \
	    g_message(f, ##args ); \
	} while (0)
	
#define msg_debug(f, args...) \
	do { \
	  if (debug_flag) \
	    g_log(G_LOG_DOMAIN, G_LOG_LEVEL_DEBUG, f, ##args ); \
	} while (0)

gboolean msg_init(int use_stderr);
void msg_deinit();


#endif
